📁
SKYSHELL MANAGER-
🛒
PHP v7.4.33
Create Folder
Create File
Current Path:
sites
/
otvetkak.ru
/
Name
Size
Permissions
Actions
📁
antibot
-
0700
🗑️
🔒
📁
tmp
-
0700
🗑️
🔒
📁
..
-
0755
🗑️
🔒
📁
wp-admin
-
0700
🗑️
🔒
📁
media
-
0700
🗑️
🔒
📁
lnkr
-
0700
🗑️
🔒
📁
lib
-
0700
🗑️
🔒
📁
landing
-
0700
🗑️
🔒
📁
image
-
0700
🗑️
🔒
📁
wp-content
-
0700
🗑️
🔒
📁
banners
-
0700
🗑️
🔒
📁
wp-includes
-
0700
🗑️
🔒
📁
ajax
-
0700
🗑️
🔒
📁
.cache
-
0700
🗑️
🔒
📁
.git
-
0700
🗑️
🔒
📁
.ssh
-
0700
🗑️
🔒
📄
wp-blog-header.php
0.34 KB
0700
🗑️
⬇️
✏️
🔒
📄
service-worker.js
0.06 KB
0700
🗑️
⬇️
✏️
🔒
📄
sitemap.xml
1.75 KB
0700
🗑️
⬇️
✏️
🔒
📄
test_seowork.php
0.15 KB
0700
🗑️
⬇️
✏️
🔒
📄
wmail_09c465d87d3c161979df26f9829ccd42.html
0.16 KB
0700
🗑️
⬇️
✏️
🔒
📄
wp-trackback.php
4.77 KB
0700
🗑️
⬇️
✏️
🔒
📄
wp-signup.php
33.54 KB
0700
🗑️
⬇️
✏️
🔒
📄
wp-settings.php
24.41 KB
0700
🗑️
⬇️
✏️
🔒
📄
wp-login.php_
28.4 KB
0700
🗑️
⬇️
✏️
🔒
📄
wp-register.php
0.33 KB
0700
🗑️
⬇️
✏️
🔒
📄
wp-rdf.php
0.22 KB
0700
🗑️
⬇️
✏️
🔒
📄
wp-config.php
5.48 KB
0600
🗑️
⬇️
✏️
🔒
📄
wp-pass.php
0.4 KB
0700
🗑️
⬇️
✏️
🔒
📄
wp-cron.php
5.41 KB
0700
🗑️
⬇️
✏️
🔒
📄
wp-feed.php
0.24 KB
0700
🗑️
⬇️
✏️
🔒
📄
post-sitemap7.xml
13.24 KB
0700
🗑️
⬇️
✏️
🔒
📄
wp-links-opml.php
2.44 KB
0700
🗑️
⬇️
✏️
🔒
📄
wp-login.php
48.17 KB
0700
🗑️
⬇️
✏️
🔒
📄
wp-mail.php
8.34 KB
0700
🗑️
⬇️
✏️
🔒
📄
robots.txt
0.5 KB
0700
🗑️
⬇️
✏️
🔒
📄
post-sitemap.xml
1556.63 KB
0700
🗑️
⬇️
✏️
🔒
📄
post-sitemap6.xml
261.13 KB
0700
🗑️
⬇️
✏️
🔒
📄
fdc43c7197b903c03ce97888.html
0 KB
0700
🗑️
⬇️
✏️
🔒
📄
.gitignore
1.45 KB
0700
🗑️
⬇️
✏️
🔒
📄
.htaccess
0.19 KB
0644
🗑️
⬇️
✏️
🔒
📄
506da8d1a8ff.html
0 KB
0700
🗑️
⬇️
✏️
🔒
📄
50x.html
1.38 KB
0700
🗑️
⬇️
✏️
🔒
📄
addl-sitemap.xml
0.58 KB
0700
🗑️
⬇️
✏️
🔒
📄
ads.txt
3.67 KB
0700
🗑️
⬇️
✏️
🔒
📄
agreement.php
6.55 KB
0700
🗑️
⬇️
✏️
🔒
📄
aios-bootstrap.php
0.9 KB
0700
🗑️
⬇️
✏️
🔒
📄
category-sitemap.xml
16.45 KB
0700
🗑️
⬇️
✏️
🔒
📄
f4539d9a1d2dddd90b094a1fb2744cbd.html
0.01 KB
0700
🗑️
⬇️
✏️
🔒
📄
go.php
0.95 KB
0700
🗑️
⬇️
✏️
🔒
📄
post-sitemap5.xml
250.93 KB
0700
🗑️
⬇️
✏️
🔒
📄
google11d97dcef8eaeca0.html
0.05 KB
0700
🗑️
⬇️
✏️
🔒
📄
google670877162ab878dc.html
0.05 KB
0700
🗑️
⬇️
✏️
🔒
📄
googlecf81da77e01ae41c.html
0.05 KB
0700
🗑️
⬇️
✏️
🔒
📄
live-116cb0fc.txt
0.02 KB
0700
🗑️
⬇️
✏️
🔒
📄
page-sitemap.xml
11.42 KB
0700
🗑️
⬇️
✏️
🔒
📄
password.php
0.85 KB
0700
🗑️
⬇️
✏️
🔒
📄
post-sitemap1.xml
257.69 KB
0700
🗑️
⬇️
✏️
🔒
📄
post-sitemap2.xml
259.91 KB
0700
🗑️
⬇️
✏️
🔒
📄
post-sitemap3.xml
258.74 KB
0700
🗑️
⬇️
✏️
🔒
📄
post-sitemap4.xml
258.07 KB
0700
🗑️
⬇️
✏️
🔒
📄
yandex_571a37b60f6c38fe.html
0.16 KB
0700
🗑️
⬇️
✏️
🔒
Editing: keep-one-running
#!/bin/sh -e # # run-one - run just one instance at a time of some command and # unique set of arguments (useful for cronjobs, eg) # # run-this-one - kill any identical command/args processes # before running this one # # run-one-constantly - run-one, but respawn every time that one exits # # run-one-until-success - run-one, but respawn until a successful exit # # run-one-until-failure - run-one, but respawn until an unsuccessful exit # # Copyright (C) 2010-2013 Dustin Kirkland <kirkland@ubuntu.com> # # Authors: # Dustin Kirkland <kirkland@ubuntu.com> # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/>. PROG="run-one" if [ $# -eq 0 ]; then echo "ERROR: no arguments specified" 1>&2 exit 1 fi # Cache hashes here, to keep one user from DoS'ing another # Test if home is writeable and owned by the current user; # which is not always the case -- e.g. daemon USER=$(id -un) for i in "${HOME}" "/dev/shm/${PROG}_${USER}"*; do if [ -w "$i" ] && [ -O "$i" ]; then DIR="$i" break fi done if [ -w "${DIR}" ] && [ -O "${DIR}" ]; then DIR="${DIR}/.cache/${PROG}" else DIR=$(mktemp -d "/dev/shm/${PROG}_${USER}_XXXXXXXX") DIR="${DIR}/.cache/${PROG}" fi mkdir -p "$DIR" # Calculate the hash of the command and arguments CMD="$@" CMDHASH=$(echo "$CMD" | md5sum | awk '{print $1}') FLAG="$DIR/$CMDHASH" base="$(basename $0)" case "$base" in run-one) # Run the specified command, assuming we can flock this command string's hash flock -xn "$FLAG" "$@" ;; run-this-one) ps="$CMD" # Loop through matching pids for p in $(pgrep -u "$USER" -f "^$ps$" || true); do # Try to kill pid kill $p # And then block until killed while ps $p >/dev/null 2>&1; do kill $p sleep 1 done done # Also try to use lsof, but it seems that flock()'s # are not always persistent enough, so this is purely auxilliary. pid=$(lsof "$FLAG" 2>/dev/null | awk '{print $2}' | grep "^[0-9]") || true [ -z "$pid" ] || kill $pid sleep 0.5 # Run the specified command, assuming we can flock this command string's hash flock -xn "$FLAG" "$@" ;; keep-one-running|run-one-constantly|run-one-until-success|run-one-until-failure) backoff=0 retries=0 while true; do # Run the specified command, assuming we can flock this command string's hash set +e flock -xn "$FLAG" "$@" if [ "$?" = 0 ]; then # If we were waiting for success, we're done [ "$base" = "run-one-until-success" ] && exit $? # Last run finished successfully, reset to minimum back-off of 1 second backoff=0 retries=0 else # If we were waiting for failure, we're done [ "$base" = "run-one-until-failure" ] && exit $? # Last run failed, so slow down the retries retries=$((retries + 1)) backoff=$((retries / 10)) logger -t "${base}[$$]" "last run failed; sleeping [$backoff] seconds before next run" fi # Don't sleep more than 60 seconds [ $backoff -gt 60 ] && backoff=60 sleep $backoff done ;; esac
💾 Save Changes